## org.biojava.bio.gui.sequence
Class FeatureLabelRenderer.SourceLabelMaker

    java.lang.Object
      org.biojava.bio.gui.sequence.FeatureLabelRenderer.SourceLabelMaker

All Implemented Interfaces:
  FeatureLabelRenderer.LabelMaker

Enclosing class:
  FeatureLabelRenderer

    public static class FeatureLabelRenderer.SourceLabelMaker

extends Object
implements FeatureLabelRenderer.LabelMaker

Constructor Summary
`FeatureLabelRenderer.SourceLabelMaker()`

Method Summary
`String` `makeLabel(Feature f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureLabelRenderer.SourceLabelMaker

    public FeatureLabelRenderer.SourceLabelMaker()

Method Detail

### makeLabel

    public String makeLabel(Feature f)

  Specified by:
    `makeLabel` in interface `FeatureLabelRenderer.LabelMaker`